<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>Procesando Informaci&oacute;n...</title>
<style type="text/css">
<!--
.Estilo1 {
	font-family: Arial, Helvetica, sans-serif;
	color: #999999;
	font-style: italic;
}
.Estilo2 {
	font-family: Arial, Helvetica, sans-serif;
	color: #666666;
	font-size:12px;
}
-->
</style>
<script>
	//setTimeout("location.href='main.php?a=115'",2000);
</script>
</head>
<body>
<div align="center">
<?php

include("conexion.php");

$status = "";
$archivo=$_FILES['archivo']['tmp_name'];
 
if ($archivo != "") 
{
	$contenido = file($archivo); 
	echo "	<p>&nbsp;</p>";
	echo " <p class='Estilo1' align='center'>&iexcl;Leyendo archivo y actualizando informaci&oacute;n!</p>";
	echo "  <p align='center'><img src='img/ajax-loader.gif' /></p>";
	echo "<p class='Estilo1' align='center'>Resultados:</p>";
	echo "<center><textarea name='textfield' style='width:800px; height:300px;' id='textfield' readonly='readonly' class='Estilo2'>";
	
	for($i = 0; $i < sizeof($contenido); $i++) 
	{ 
		$linea = trim($contenido[$i]); 
		$arrayDatos = explode(",", $linea); 
		
		$x=$i+1;
		if($arrayDatos[0] != "")
		{
			$cons2="INSERT INTO incontables (idClinica,idProducto,existencia) VALUES 
			('1','$arrayDatos[0]','$arrayDatos[1]')";
			$res2=mysql_query($cons2,$conex) or die ("No se inserto en incontables");
					
			echo $x.". PRODUCTO CLAVE: ".$arrayDatos[0]." - Cantidad: ".$arrayDatos[1]."... Insertado";
			
			echo "\n";
		}
        else
        {
            echo $x."... Fila vacia\n";
        }
		
	} //end for
	
	echo "</textarea></center>";
} //end if $archivo!=
else 
{
    $status = "Error al subir archivo, intente nuevamente.";
}

mysql_close($conex);

?>
  <form id="form1" name="form1" method="post" action="main.php">
    <p>
      <input type="submit" name="button" id="button" value="Terminar &gt;&gt;" />
    </p>
    <p>&nbsp;  </p>
  </form>
</div>
</body>
</html>
